NAME
OpenAPI::Client::OpenAI::Path::organization-groups-group_id-users-user_id - Documentation for the /organization/groups/{group_id}/users/{user_id} path.
OPERATIONS
DELETE /organization/groups/{group_id}/users/{user_id}
remove-group-user
$client->remove_group_user({
body => { ... },
});
Removes a user from a group.
Path/query parameters
group_id(in path, required, string) - The ID of the group to update.user_id(in path, required, string) - The ID of the user to remove from the group.
Responses
200 - User removed from the group successfully.
Content-Type: application/json
Example:
{
"deleted" : true,
"object" : "group.user.deleted"
}
GET /organization/groups/{group_id}/users/{user_id}
retrieve-group-user
$client->retrieve_group_user({
body => { ... },
});
Retrieves a user in a group.
Path/query parameters
group_id(in path, required, string) - The ID of the group to inspect.user_id(in path, required, string) - The ID of the user to retrieve from the group.
Responses
200 - User retrieved from the group successfully.
Content-Type: application/json
Example:
{
"email" : "ada@example.com",
"id" : "user_abc123",
"is_service_account" : false,
"name" : "Ada Lovelace",
"picture" : null,
"user_type" : "user"
}
SCHEMAS
GroupMemberUser
Properties:
email(anyOf, required) - Email address of the user, ornullfor users without an email.id(string, required) - Identifier for the user.is_service_account(anyOf, required) - Whether the user is a service account.name(string, required) - Display name of the user.picture(anyOf, required) - URL of the user's profile picture, if available.user_type(string, required) - The type of user.Allowed values: user, tenant_user
GroupUserDeletedResource
Properties:
deleted(boolean, required) - Whether the group membership was removed.object(string, required) - Alwaysgroup.user.deleted.Allowed values: group.user.deleted
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.